{% extends 'base_book.html.twig' %}

{% block title %}Вход{% endblock %}

{% block body %}
    <div id="auth-form" class="app-text">
        <form method="post">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <div class="mb-3">
                    {{ app.user.username }}, <a href="{{ path('app_logout') }}">Выйти</a>
                </div>
            {% endif %}

            <h1 class="">Войти</h1>
            <label for="inputEmail">Почта</label>
            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required
                   autofocus>
            <label for="inputPassword">Пароль</label>
            <input type="password" name="password" id="inputPassword" class="form-control" required>

            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

            <div class="checkbox mb-3">
                <label>
                    <input type="checkbox" name="_remember_me">
                    <span>Запомнить меня</span>
                </label>
            </div>
            <div class="submit-button-wrap">
                <button class="red-button" type="submit">Вход</button>
            </div>
        </form>
        <div class="register-buttons">
            <a class="black-button" href="{{ path('app_register') }}">Регистрация</a>
            <a class="black-button" href="{{ path('restore_password') }}">Забыли
                пароль</a>

        </div>
    </div>





{% endblock %}
